package com.dev.swms.server.model.base;

import java.util.Date;

import com.dev.energy.server.model.Entity;

/**
 * 城市
 * @author 44700
 *
 */
public class City extends Entity{
	private String code; //城市代码
	private String name; //城市名称
	private boolean disabled = false; //是否失效
	private String description; //描述
	private City city;//所属城市
	private Province province; //所属省
	private String creatPeople;//创建人
	private Date creatDate;//创建时间
	
	
	
	public String getCreatPeople() {
		return creatPeople;
	}
	public void setCreatPeople(String creatPeople) {
		this.creatPeople = creatPeople;
	}
	public Date getCreatDate() {
		return creatDate;
	}
	public void setCreatDate(Date creatDate) {
		this.creatDate = creatDate;
	}
	public Province getProvince() {
		return province;
	}
	public void setProvince(Province province) {
		this.province = province;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public City getCity() {
		return city;
	}
	public void setCity(City city) {
		this.city = city;
	}
}
